E-MailRelay

Classes | Namespaces | Typedefs
gstringtoken.h File Reference
`#include "gdef.h"`
`#include "gassert.h"`
`#include "gstringview.h"`
`#include <string>`
`#include <type_traits>`
`#include <algorithm>`
Include dependency graph for gstringtoken.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | G::StringTokenT< T >
| A zero-copy string token iterator where the token separators are runs of whitespace characters, with no support for escape characters. More...

## Namespaces
namespace | G
| Low-level classes.

## Typedefs
using | G::StringToken = StringTokenT< std::string >
using | G::StringTokenView = StringTokenT< std::string_view >